diff --git a/bin/pyspark b/bin/pyspark
index f97dfa7e2ff464890202bcdef0ad9079a489e58b..d6810f4686bf56ae9f9caa1c620c2a2633135f21 100755
--- a/bin/pyspark
+++ b/bin/pyspark
@@ -31,7 +31,7 @@ if [ ! -f "$FWDIR/RELEASE" ]; then
   ls "$FWDIR"/assembly/target/scala-$SCALA_VERSION/spark-assembly*hadoop*.jar >& /dev/null
   if [[ $? != 0 ]]; then
     echo "Failed to find Spark assembly in $FWDIR/assembly/target" >&2
-    echo "You need to build Spark with sbt assembly before running this program" >&2
+    echo "You need to build Spark with sbt/sbt assembly before running this program" >&2
     exit 1
   fi
 fi
diff --git a/bin/spark-class b/bin/spark-class
index 49b0bef0bd3daf701d453651b3ce3e7c7de55813..c4225a392d6dae2374465f6a6f1f37c3ea2f6cee 100755
--- a/bin/spark-class
+++ b/bin/spark-class
@@ -104,7 +104,7 @@ if [ ! -f "$FWDIR/RELEASE" ]; then
   jars_list=$(ls "$FWDIR"/assembly/target/scala-$SCALA_VERSION/ | grep "spark-assembly.*hadoop.*.jar")
   if [ "$num_jars" -eq "0" ]; then
     echo "Failed to find Spark assembly in $FWDIR/assembly/target/scala-$SCALA_VERSION/" >&2
-    echo "You need to build Spark with 'sbt assembly' before running this program." >&2
+    echo "You need to build Spark with 'sbt/sbt assembly' before running this program." >&2
     exit 1
   fi
   if [ "$num_jars" -gt "1" ]; then
diff --git a/make-distribution.sh b/make-distribution.sh
index 61e6654dcb70b529df9336d6fde846dcb8bf9742..1a3a5d0209ccf8a295338e26735dfac06b41408c 100755
--- a/make-distribution.sh
+++ b/make-distribution.sh
@@ -95,7 +95,7 @@ export SPARK_HADOOP_VERSION
 export SPARK_YARN
 cd $FWDIR
 
-"sbt" "assembly/assembly"
+"sbt/sbt" "assembly/assembly"
 
 # Make directories
 rm -rf "$DISTDIR"